package net.sergeych.kiloparsec.adapters

import com.ionspin.kotlin.crypto.util.encodeToUByteArray
import kotlinx.coroutines.test.runTest
import net.sergeych.kiloparsec.adapter.UdpServer
import net.sergeych.mp_logger.Log
import org.junit.jupiter.api.Assertions.assertEquals
import kotlin.test.Test

class UServerTest {

    @Test
    fun udpProvider() = runTest {
        Log.connectConsole(Log.Level.DEBUG)
        val s1 = UdpServer(17120)
        val s2 = UdpServer(17121)
        s1.send("Hello".encodeToUByteArray(), "localhost",17121)
        val d1 = s2.incoming.receive()
        assertEquals(d1.address.port, 17120)
        assertEquals("Hello", d1.message.toByteArray().decodeToString())
        d1.respondWith("world".encodeToUByteArray())
        assertEquals("world", s1.incoming.receive().message.toByteArray().decodeToString())
    //        println("s1: ${s1.bindAddress()}")

    }
}